<ion-view view-title="Clases">

  <ion-content>
    <div class="card">
            <div class="row header ">
                  <div class="col"><h5>Num</h5></div>
                  <div class="col"><h5>Fecha</h5></div>
                  <div class="col"><h5>Asistencia</h5></div>
                  <div class="col"><h5>Registrar</h5></div>
            </div>
            <div ng-repeat="item in asistencias track by $index">
              <div class="row">
                  <div class="col"><h5>{{($index % frecuencia)+1}}</h5></div>
                  <div class="col" ng-model="item.fecha">
                    <h5>{{item.fecha  | date:'dd/MM/yyyy - h:mma'}}</h5></div>
                  <div class="col">
                    <ion-checkbox ng-if="item.firma===null && (!item.fecha=='')" ng-model="item.asistio" style="border: none;margin-top: -6px;"></ion-checkbox>
                    <h5 ng-if="!item.firma==''">{{(item.asistio)?'SI':'NO'}}</h5>
                  </div>
                  <div class="col">

                    <button ng-if="item.firma===null && (!item.fecha=='')"  class="button button-positive"
                      style="min-height: 29px;height: 29px;margin-top: -4px;line-height: 0px;"
                      ng-click="marcarIngreso(item._id)">
                      Ingresar
                    </button>
                    <h5 ng-if="item.firma!=null  && (item.fecha!='')" >{{item.firma}}</h5>
                  </div>

              </div>
            </div>
      </div>
      <div class="row card">
        <div class="col"><h5>Recuperar</h5></div>
        <div class="col" style="padding-top: 14px;">
           <select ng-model="recuperadas.cantidad" class="width: 100px;">
            <option>1</option>
            <option selected>2</option>
            <option>3</option>
            <option>4</option>
            <option>5</option>
            <option>6</option>
            <option>7</option>
            <option>8</option>
            <option>9</option>
            <option>10</option>
            <option>11</option>
            <option>12</option>
            <option>13</option>
            <option>14</option>
            <option>15</option>
            <option>16</option>
            <option>17</option>
            <option>18</option>
            <option>19</option>
            <option>20</option>
          </select>
        </div>
        <div class="col">
          <button class="button button-positive" ng-click="recuperar()">Aceptar</button>
        </div>

      </div>
  </ion-content>
</ion-view>
